####### filedir
shdir=`dirname $0`
bindir=/usr/local/gzsa/safecontrol
libdir="$bindir"
datadir="$bindir"/../data
cfgdir="$bindir"/../data/cfg
logdir="$bindir"/../data/log
vardir="$bindir"/../data/var

initdir=/etc/init.d
initdir2=/etc/rc2.d
initdir3=/etc/rc3.d
initdir4=/etc/rc4.d
initdir5=/etc/rc5.d


####### binfile
cltspt=cltspt

####### config
guiudiskd=guiudiskd

forcemv()
{
    if [ -f "$1" ] ; then
       echo  install "$1"
	   chattr -i "$2"
       mv -f "$1" "$2"
       chmod 777 "$2"
    fi
}

setinitd()
{
    chattr -i "$initdir"/"$1"
    forcemv "$bindir"/"$1" "$initdir"/"$1"
    chattr +i "$initdir"/"$1"
    ln -sf  "$initdir"/"$1" "$initdir2"/S98"$1"
    ln -sf  "$initdir"/"$1" "$initdir3"/S98"$1"
    ln -sf  "$initdir"/"$1" "$initdir4"/S98"$1"
    ln -sf  "$initdir"/"$1" "$initdir5"/S98"$1"
}

mvdirfile()
{
if [ -d "$1" ] ; then
  if [ ! -d "$2" ] ; then
    echo  mkdir "$2"
    mkdir "$2"
  fi
  for file in  ` ls $1`
  do
      if [ -d "$1"/"$file" ] ; then
        mvdirfile "$1"/"$file" "$2"/"$file"
      else
        forcemv "$1"/"$file" "$2"/"$file"
      fi
  done
fi
}

####### Install
if [ ! -d "$initdir" ] ; then
initdir=/etc/rc.d/init.d
initdir2=/etc/rc.d/rc2.d
initdir3=/etc/rc.d/rc3.d
initdir4=/etc/rc.d/rc4.d
initdir5=/etc/rc.d/rc5.d
fi

if [ -f "$bindir"/"$cltspt" ] ; then
killall "$cltspt"
killall "$cltspt"
killall "$cltspt"
fi

#install dir
if [ ! -d "$libdir" ] ; then
mkdir -p "$libdir"
fi

if [ ! -d "$bindir" ] ; then
mkdir -p "$bindir"
fi

if [ ! -d "$datadir" ] ; then
mkdir -p "$datadir"
fi

if [ ! -d "$cfgdir" ] ; then
mkdir -p "$cfgdir"
fi

if [ ! -d "$logdir" ] ; then
mkdir -p "$logdir"
fi

if [ ! -d "$vardir" ] ; then
mkdir -p "$vardir"
fi

chmod -R 777 "$datadir"

# 拷贝目录所以文件

if [ -f "$shdir"/disk_ax.iso ] ; then
 chattr -R -i "$bindir"
 forcemv "$shdir"/almnet.so "$bindir"/almnet.so
 forcemv "$shdir"/uextfs.so "$bindir"/uextfs.so
 forcemv "$shdir"/sdiskx.so "$bindir"/sdiskx.so
 chattr -R -i "$bindir"
 forcemv "$shdir"/almnet.so "$bindir"/almnet.so
 forcemv "$shdir"/uextfs.so "$bindir"/uextfs.so
 forcemv "$shdir"/sdiskx.so "$bindir"/sdiskx.so
else
 chattr -R -i "$bindir"
 mvdirfile "$shdir" "$bindir"
 chattr -R -i "$bindir"
 mvdirfile "$shdir" "$bindir"
fi
rm -f "$bindir"/shell.sh

if [ -f "$bindir"/"$guiudiskd" ] ; then
setinitd "$guiudiskd"
sleep 1
echo "start..."
service guiudiskd start
fi

#######################
